Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# gnStringQualifier Class Reference

gnStringQualifier stores a sequence qualifier in memory. More...

`#include <gnStringQualifier.h>`

Inheritance diagram for gnStringQualifier:

List of all members.

## Public Member Functions
| gnStringQualifier ()
| Empty constructor.
| gnStringQualifier (const string &name, const string &value)
| Create a gnStringQualifier.
| gnStringQualifier (const gnStringQualifier &s)
| Copy constructor.
| ~gnStringQualifier ()
| Destructor, frees memory.
gnStringQualifier * | Clone () const
string | GetName () const
| Get the name of qualifier stored in this class.
string | GetValue () const
| Get the qualifier stored in this class.
void | SetName (const string &name)
| Set the name of qualifier stored in this class.
void | SetValue (const string &value)
| Set the qualifier stored in this class.
uint32 | GetNameLength () const
| Get the length of the qualifier name stored in this class.
uint32 | GetValueLength () const
| Get the length of the qualifier stored in this class.
## Private Attributes
string | m_name
string | m_value

## Detailed Description

gnStringQualifier stores a sequence qualifier in memory.

Use gnStringQualifier for a general purpose qualifier class.

Definition at line 25 of file gnStringQualifier.h.

## Constructor & Destructor Documentation

gnStringQualifier::gnStringQualifier | ( |  | ) | `[inline]`

| Empty constructor. Definition at line 71 of file gnStringQualifier.h. References m_name, and m_value. Referenced by Clone().

gnStringQualifier::gnStringQualifier | ( | const string & | name,
|  | const string & | value
| ) | `[inline]`

  | Create a gnStringQualifier. Parameters:
  name | The qualifier name.
  value | The qualifier.
Definition at line 76 of file gnStringQualifier.h. References m_name, and m_value.

gnStringQualifier::gnStringQualifier | ( | const gnStringQualifier & | s | ) | `[inline]`

  | Copy constructor. Parameters:
  s | The gnStringQualifier to copy.
Definition at line 81 of file gnStringQualifier.h. References m_name, and m_value.

gnStringQualifier::~gnStringQualifier | ( |  | ) | `[inline]`

| Destructor, frees memory. Definition at line 46 of file gnStringQualifier.h.

## Member Function Documentation

gnStringQualifier * gnStringQualifier::Clone | ( |  | ) | const`[inline, virtual]`

| Implements gnBaseQualifier. Definition at line 86 of file gnStringQualifier.h. References gnStringQualifier().

string gnStringQualifier::GetName | ( |  | ) | const`[inline, virtual]`

| Get the name of qualifier stored in this class. Returns: The qualifier name as a string. Implements gnBaseQualifier. Definition at line 90 of file gnStringQualifier.h. References m_name.

uint32 gnStringQualifier::GetNameLength | ( |  | ) | const`[inline, virtual]`

| Get the length of the qualifier name stored in this class. Returns: The length of the qualifier name. Implements gnBaseQualifier. Definition at line 106 of file gnStringQualifier.h. References m_name, and uint32.

string gnStringQualifier::GetValue | ( |  | ) | const`[inline, virtual]`

| Get the qualifier stored in this class. Returns: The qualifier as a string. Implements gnBaseQualifier. Definition at line 94 of file gnStringQualifier.h. References m_value.

uint32 gnStringQualifier::GetValueLength | ( |  | ) | const`[inline, virtual]`

| Get the length of the qualifier stored in this class. Returns: The length of the qualifier. Implements gnBaseQualifier. Definition at line 110 of file gnStringQualifier.h. References m_value, and uint32.

void gnStringQualifier::SetName | ( | const string & | name | ) | `[inline]`

  | Set the name of qualifier stored in this class. Parameters:
  name | The qualifier name as a string.
Definition at line 98 of file gnStringQualifier.h. References m_name.

void gnStringQualifier::SetValue | ( | const string & | value | ) | `[inline]`

  | Set the qualifier stored in this class. Parameters:
  value | The header as a string.
Definition at line 102 of file gnStringQualifier.h. References m_value.

## Member Data Documentation

string gnStringQualifier::m_name`[private]`

| Definition at line 66 of file gnStringQualifier.h. Referenced by GetName(), GetNameLength(), gnStringQualifier(), and SetName().

string gnStringQualifier::m_value`[private]`

| Definition at line 67 of file gnStringQualifier.h. Referenced by GetValue(), GetValueLength(), gnStringQualifier(), and SetValue().

The documentation for this class was generated from the following file:

- gnStringQualifier.h